--- CMakeLists.txt	2016-10-10 23:56:17.000000000 +0800
+++ CMakeLists.txt	2024-12-08 00:28:25.000000000 +0800
@@ -178,15 +178,6 @@
   endif()
 endif()
 
-# wxWidgets instructions based on http://wiki.wxwidgets.org/CMake
-#find_package(wxWidgets COMPONENTS base core REQUIRED)
-find_package(wxWidgets COMPONENTS base core adv)
-if(wxWidgets_FOUND)
-  include(${wxWidgets_USE_FILE})
-  add_definitions(-DHAVE_WXWIDGETS)
-  include_directories(${wxWidgets_INCLUDE_DIRS})
-endif()
-
 if(MSVC)
   # Ensure that CharacterSet="0" in the project files
   add_definitions(-D_SBCS) # Single-Byte Character Set (requires CMake 2.8.8)
@@ -494,6 +485,13 @@
 
 if(BUILD_GUI)
   message(STATUS "Attempting to build the GUI")
+  # wxWidgets instructions based on http://wiki.wxwidgets.org/CMake
+  find_package(wxWidgets COMPONENTS base core adv)
+  if(wxWidgets_FOUND)
+    include(${wxWidgets_USE_FILE})
+    add_definitions(-DHAVE_WXWIDGETS)
+    include_directories(${wxWidgets_INCLUDE_DIRS})
+  endif()
   if(wxWidgets_FOUND)
     message(STATUS "   wxWidgets found => GUI will be built")
     add_subdirectory(src/GUI)
